%if (0%{?rhel} && 0%{?rhel} < 6)
%global tomcat tomcat5
%else
%global tomcat tomcat6
%endif

Name:       satellite-branding
Version:    5.6.0.23
Release:    1%{?dist}
Summary:    Satellite branding data

Group:      Applications/Internet
License:    GPLv2
URL:        https://fedorahosted.org/spacewalk/
Source0:    %{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
Provides:   spacewalk-branding

BuildRequires: java-devel >= 1.5.0
Requires:   httpd
Requires:   cobbler < 2.1

%description
Satellite specific branding, CSS, and images.

%package -n rhn-proxy-branding
Summary:	The HTML component for RHN Proxy
Group:		Applications/Internet
Obsoletes:	rhns-proxy-html < 5.3.0
Provides:	rhns-proxy-html = %{version}
Provides:	spacewalk-proxy-html = %{version}
Requires:	httpd

%description -n rhn-proxy-branding
This package contains placeholder html pages, which the RHN Proxy
display, if you navigate to it using your browser.

%prep
%setup -q

%build

javac java/code/src/com/redhat/rhn/branding/strings/StringPackage.java
rm -f java/code/src/com/redhat/rhn/branding/strings/StringPackage.java
jar -cf java-branding.jar -C java/code/src com

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_var}/www/html/_rhn_proxy
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_var}/www/html
install -d -m 755 %{buildroot}%{_datadir}/spacewalk
install -d -m 755 %{buildroot}%{_datadir}/spacewalk/web
install -d -m 755 %{buildroot}%{_datadir}/spacewalk/web/nav
install -d -m 755 %{buildroot}%{_datadir}/rhn/lib/
install -d -m 755 %{buildroot}%{_var}/lib/%{tomcat}/webapps/rhn/WEB-INF/lib/
install -d -m 755 %{buildroot}%{_sysconfdir}/rhn
install -d -m 755 %{buildroot}%{_prefix}/share/rhn/config-defaults
install -d -m 755 %{buildroot}/etc/sysconfig/rhn/schema-upgrade
cp -pR css %{buildroot}%{_var}/www/html/
cp -pR img %{buildroot}%{_var}/www/html/
install -m 644 _rhn_proxy/* %{buildroot}%{_var}/www/html/_rhn_proxy/
# Appplication expects two favicon's for some reason, copy it so there's just
# one in source:
cp -p img/favicon.ico %{buildroot}%{_var}/www/html/
install -m 644 img/favicon.ico %{buildroot}%{_var}/www/html/_rhn_proxy
cp -pR templates %{buildroot}%{_datadir}/spacewalk/web/
cp -pR styles %{buildroot}%{_datadir}/spacewalk/web/nav/
cp -pR setup  %{buildroot}%{_datadir}/spacewalk/
cp -pR java-branding.jar %{buildroot}%{_datadir}/rhn/lib/
ln -s %{_datadir}/rhn/lib/java-branding.jar %{buildroot}%{_var}/lib/%{tomcat}/webapps/rhn/WEB-INF/lib/java-branding.jar
cp -p conf/rhn_docs.conf %{buildroot}%{_prefix}/share/rhn/config-defaults/rhn_docs.conf
ln -s %{_bindir}/spacewalk-debug %{buildroot}%{_bindir}/satellite-debug
cp schema-upgrade/banner.txt %{buildroot}/etc/sysconfig/rhn/schema-upgrade

%clean
rm -rf %{buildroot}


%files
%dir %{_var}/www/html/css
%{_var}/www/html/css/*
%dir /%{_var}/www/html/img
%{_var}/www/html/img/*
%{_var}/www/html/favicon.ico
%{_datadir}/spacewalk/
%{_datadir}/rhn/lib/java-branding.jar
%{_var}/lib/%{tomcat}/webapps/rhn/WEB-INF/lib/java-branding.jar
%{_prefix}/share/rhn/config-defaults/rhn_docs.conf
%{_bindir}/satellite-debug
%dir /etc/sysconfig/rhn/schema-upgrade
/etc/sysconfig/rhn/schema-upgrade/banner.txt
%doc LICENSE

%files -n rhn-proxy-branding
%defattr(-,root,root,-)
%dir %{_var}/www/html/_rhn_proxy
%config(noreplace) %{_var}/www/html/_rhn_proxy/index.html
%{_var}/www/html/_rhn_proxy/*.ico
%{_var}/www/html/_rhn_proxy/*.png


%changelog
* Fri Jan 24 2014 Grant Gainey <ggainey@redhat.com> 5.6.0.23-1
- CVE-2013-4415, 979452 - Missed satellite-branding change

* Wed Sep 25 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0.22-1
- replace 'Channel Managemet Guide' docs with 'User Guide' and 'Getting Started
  Guide'

* Wed Sep 11 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.21-1
- adding top logo as one image
- updated UI strings pulled from zanata

* Tue Sep 10 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.20-1
- updating product logo for proxy

* Tue Sep 03 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.19-1
- fix redundant margin in perl sidenav
- updated UI strings pulled from zanata

* Mon Sep 02 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.18-1
- fix logo sizes in perl pages

* Mon Sep 02 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.17-1
- fixing logos in perl pages
- updating copyright years for perl pages
- change product name also in perl pages

* Wed Aug 07 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.16-1
- Indent organization configuration dialog to clarify semantics of checkboxes.

* Tue Aug 06 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.15-1
- Branding clean-up (RHN Satellite -> RH Satellite)

* Wed Jul 24 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0.14-1
- update web.version

* Mon Jul 08 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.13-1
- help links should be visible in Satellite

* Tue Jun 25 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.12-1
- fix of some css errors

* Wed Jun 05 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.11-1
- change of product logo

* Thu May 23 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.10-1
- change of login page strings
- changing product name to Red Hat Satellite

* Tue Apr 30 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.9-1
- removing duplicate left border in tables containing checkbox as 1st column

* Thu Apr 11 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.8-1
- overlap of currently active section on top-nav

* Wed Mar 27 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.7-1
- minor css fixes

* Wed Mar 27 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.6-1
- pixel perfecting first and last-child of th when sorting by them

* Mon Mar 25 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.5-1
- changig red to red hat red

* Mon Mar 25 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.4-1
- adding rhn-specific.css to branding

* Fri Mar 22 2013 Michael Mraka <michael.mraka@redhat.com> 5.6.0.3-1
- applied changes from spacewalk branding
- display '5.6.0 beta' on webUI

* Wed Mar 20 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.2-1
- css refactoring and cleanup

* Tue Mar 12 2013 Michael Mraka <michael.mraka@redhat.com> 5.6.0.1-1
- updated web version

* Thu Mar 07 2013 Tomas Kasparek <tkasparek@redhat.com> 5.5.0.7-1
- 917547 - removing filter box when printing

* Mon Mar 04 2013 Tomas Kasparek <tkasparek@redhat.com> 5.5.0.6-1
- 917547 - CSS for @media print
- 917545 - Highlightning of :hover row in list views

* Fri Jan 11 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.5-1
- 874408 - banner for schema upgrades
- reformated using xmllint -format

* Tue Nov 06 2012 Jan Pazdziora 5.5.0.4-1
- 870889 - avoid upgrading cobbler package from external yum repo.

* Mon May 21 2012 Michael Mraka <michael.mraka@redhat.com> 5.5.0.3-1
- Missing icon for the systems that need reboot list
- automatically focus search form
- 621531 - move /etc/rhn/default to /usr/share/rhn/config-defaults (branding).
- 558972 - making the navigational bar nice on 2000+ px wide screens.
- cleanup: revhistory style is not used
- fix typos in css
- 708957 - remove RHN Satellite Proxy Release Notes link
- The LOGGED IN and SIGN OUT are not images since Satellite 5.0 (rhn-360.css),
  removing.
- made system legend of the same width as side navigation
- let import PXT modules on fly
- add GPLv2 license
- cleanup spec
- remove .htaccess file
- 567885 - "Spacewalk release 0.9" leads to 404
- Update the copyright year info on .pxt pages.
- implement common access keys

* Mon May 07 2012 Miroslav Suchý <msuchy@redhat.com> 5.5.0.2-1
- 470463 - fix incorrect syntax in xml file

* Fri Mar 09 2012 Michael Mraka <michael.mraka@redhat.com> 5.5.0.1-1
- updated satellite version diplayed on webpage

* Wed Aug 24 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.11-1
- 724902 - updating copyright years (tlestach@redhat.com)
- updated translations (michael.mraka@redhat.com)

* Wed Apr 06 2011 Michael Mraka <michael.mraka@redhat.com> 5.4.0.10-1
- updated version to 5.4.1

* Wed Mar 09 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.9-1
- define tomcat macro for satellite-branding.spec (tlestach@redhat.com)

* Mon Sep 27 2010 Shannon Hughes <shughes@redhat.com> 5.4.0.8-1
- fixing syntax issues from copy/paste (shughes@redhat.com)

* Mon Sep 27 2010 Shannon Hughes <shughes@redhat.com> 5.4.0.7-1
- 630585 add chat link for sat branding (shughes@redhat.com)

* Mon Sep 27 2010 Shannon Hughes <shughes@redhat.com> 5.4.0.6-1
- 627920 add cfg list icon to branding (shughes@redhat.com)

* Fri Sep 17 2010 Partha Aji <paji@redhat.com> 5.4.0.5-1
- 592415 - Merged the Dup profiles css from spacewalk (paji@redhat.com)

* Tue Sep 14 2010 Partha Aji <paji@redhat.com> 5.4.0.4-1
- 627920 - Added a larger config icon for symlinks. Thanks to Joshua Roys
  (paji@redhat.com)

* Fri Sep 10 2010 Miroslav Suchý <msuchy@redhat.com> 5.4.0.3-1
- Drop rhn-browser-css-compliance and browser_css_compliance and always assume
  some CSS compliance.

* Wed Sep 01 2010 Shannon Hughes <shughes@redhat.com> 5.4.0.2-1
- 628621 updated perl pxt footer copyright txt (shughes@redhat.com)


* Thu Aug 19 2010 Michael Mraka <michael.mraka@redhat.com> 5.4.0.1-1
- bumped web version to 5.4.0
- 572714 - css fix for docs

* Thu Aug 19 2010 Michael Mraka <michael.mraka@redhat.com>
- 572714 - css fix for docs (jsherril@redhat.com)

* Wed Jul 08 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.27-1
- 510146 - Update satellite-branding copyright years. (dgoodwin@redhat.com)

* Tue Jun 30 2009 Miroslav Suchý <msuchy@redhat.com> 5.3.0.25-1
- 508710 - make bar on top of page wider, so we do not get empty space on wider displays

* Thu Jun 18 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.24-1
- 505101 - update css so that links are underlined when hovering
  (bbuckingham@redhat.com)
- 501038 - Update stylesheet to mitigate wrapping of long organization names.
  (bbuckingham@redhat.com)

* Wed May 27 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.23-1
- 500806 - limit a:hover to links only, changed to a:link:hover (jesusr@redhat.com)
- update to web ui strings (shughes@redhat.com)

* Tue May 19 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.22-1
- Package rebuild

* Thu May 14 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.21-1
- 472545 - updated sat custom strings for webui i18n (shughes@redhat.com)

* Wed May 06 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.20-1
- 444221 - Update the branding CSS. (paji@redhat.com)
- 484962 - Merge Spacewalk CSS changes in for satellite-branding.
  (dgoodwin@redhat.com)

* Mon Apr 27 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.19-1
- Revert Beta version back to just 5.3.0. (dgoodwin@redhat.com)

* Wed Apr 22 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.18-1
- 495787 - Allow rhnpush --force for Satellite. (dgoodwin@redhat.com)

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.17-1
- 496321 - add Documentation as a search option on perl pages

* Tue Apr 07 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.16-1
- 494475,460136 - remove .feedback from css (jesusr@redhat.com)

* Tue Apr 07 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.15-1
- Modify Satellite web.version to 5.3.0 Beta. (dgoodwin@redhat.com)
* Fri Mar 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.14-1
- removed the slash after buildroot macro
- added install statement to create the bindir

* Fri Mar 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.13-1
- added satellite-debug to the files list, and add buildroot macro to symlink

* Thu Mar 19 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.12-1
- adding the satellite-debug link

* Thu Mar 12 2009 Miroslav Suchý <msuchy@redhat.com> 5.3.0.11-1
- migrate rhns-proxy-html to rhn-proxy-branding subpackage

* Wed Feb 18 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.10-1
- adding rhn_docs.conf to enable configurable docs location

* Fri Feb 06 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.9-1
- 447984 - css fix to realign search box in top nav

* Thu Feb 05 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.8-1
- Override web.default_mail_from to reference Satellite.

* Wed Feb 04 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.7-1
- Add /var/www/html/favicon.ico.

* Fri Jan 30 2009 Mike McCune <mmccune@gmail.com> 5.3.0.6-1
- going back to just spacewalk-branding but removing requires: spacewalk-html

* Fri Jan 30 2009 Miroslav Suchý <msuchy@redhat.com> 5.3.0.5-1
- 483058 - subscribe to proxy channel during proxy activation

* Wed Jan 28 2009 Mike McCune <mmccune@gmail.com> 5.3.0.4-1
- split out branding jar into its own subpackage.

* Wed Jan 21 2009 Michael Mraka <michael.mraka@redhat.com> 5.3.0.3-1
- added java stuff

* Thu Jan 08 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.2-1
- Re-versioning to 5.3.0.1.

* Mon Dec 22 2008 Michael Mraka <michael.mraka@redhat.com>
- added satellite-branding.conf (product_name and product_version)

* Thu Sep 18 2008 Devan Goodwin <dgoodwin@redhat.com> 5.3.0-2
- Adding Provides for spacewalk-branding.

* Mon Aug 25 2008 Devan Goodwin <dgoodwin@redhat.com> 5.3.0-1
- Initial packaging of Satellite specific branding.

